Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Inventory

  • List inventory adjustment reasons

  • Create inventory adjustment reason

  • Delete inventory adjustment reason

  • Restore inventory adjustment reason

  • Retrieve inventory adjustment reason

  • Update inventory adjustment reason

  • Update inventory adjustment

  • Retrieve inventory adjustment

  • Batch change inventory

  • Batch retrieve inventory changes

  • Batch retrieve inventory counts

  • Retrieve inventory physical count

  • Retrieve inventory count

  • Webhooks

  • inventory.count.updated

<- Inventory API

Inventory API

All versions ->

List inventory adjustment reasonsBeta

GET

 /v2/inventory/adjustment-reasons

Returns the standard and custom inventory adjustment reasons available to the seller.

Permissions:INVENTORY_READ
Try in API Explorer
Link to section

Query parameters

Example code

Link to section

include_deleted

boolean

Indicates whether the response should include deleted custom inventory adjustment reasons. The default value is false.

Link to section

include_system_codes

boolean

Indicates whether the response should include Square-generated system inventory adjustment reason codes that cannot be used to write adjustments from the Connect API, such as SALE, RECOUNT, TRANSFER, IN_TRANSIT, and CANCELED_SALE. The default value is false.

Link to section

Response fields

Link to section

errors

Errors encountered when the request fails.

Link to section

adjustment_reasons

The standard, system-generated, and custom inventory adjustment reasons available to the seller.

Link to section

Examples

All versions ->

GET /v2/inventory/adjustment-reasons
curl https://connect.squareup.com/v2/inventory/adjustment-reasons?include_deleted=false&include_system_codes=false \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "errors": [], "adjustment_reasons": [ { "id": { "type": "RECEIVED" }, "direction": "INCREASE" }, { "id": { "type": "DAMAGED" }, "direction": "DECREASE" }, { "id": { "type": "CUSTOM", "custom_reason_id": "R5BX3PDCZ6EXAMPLE" }, "name": "Donated to charity", "direction": "DECREASE", "created_at": "2026-07-15T18:24:31.000Z", "updated_at": "2026-07-15T18:24:31.000Z", "is_deleted": false } ] }